/* $NoKeywords:$ */
/**
 * @file
 *
 * AMD Family_12 Microcode patch.
 *
 * Fam12 Microcode Patch rev 03000027 for 3010 or equivalent.
 *
 * @xrefitem bom "File Content Label" "Release Content"
 * @e project:      AGESA
 * @e sub-project:  CPU/FAMILY/0x12
 * @e \$Revision: 58717 $   @e \$Date: 2011-09-13 23:20:11 +0800 (Tue, 13 Sep 2011) $
 *
 */
/*
 ******************************************************************************
 *
 * Copyright (c) 2011, Advanced Micro Devices, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Advanced Micro Devices, Inc. nor the names of
 *       its contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL ADVANCED MICRO DEVICES, INC. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ******************************************************************************
 */
/*----------------------------------------------------------------------------------------
 *                             M O D U L E S    U S E D
 *----------------------------------------------------------------------------------------
 */
#include "AGESA.h"
#include "cpuRegisters.h"
#include "cpuEarlyInit.h"

/*----------------------------------------------------------------------------------------
 *                   D E F I N I T I O N S    A N D    M A C R O S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                  T Y P E D E F S     A N D     S T R U C T U R E S
 *----------------------------------------------------------------------------------------
 */

// Patch code 03000027 for 3010 and equivalent
CONST MICROCODE_PATCHES ROMDATA CpuF12MicrocodePatch03000027 =
{{
  0x11, 0x20, 0x09, 0x13, 0x27, 0x00, 0x00, 0x03,
  0x03, 0x80, 0x20, 0x00, 0x40, 0x00, 0x4f, 0x10,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x10, 0x30, 0x00, 0x00, 0x00, 0xaa, 0xaa, 0xaa,
  0xbd, 0x02, 0x19, 0xe3, 0x99, 0x0c, 0x06, 0x98,
  0x8a, 0x0f, 0x7b, 0x68, 0xc6, 0x11, 0x45, 0xd0,
  0x8c, 0x0e, 0x45, 0x3c, 0xff, 0xff, 0x29, 0xee,
  0xff, 0xff, 0x66, 0xdd, 0xff, 0xff, 0x53, 0x89,
  0x04, 0xfe, 0xff, 0x00, 0xc3, 0xb7, 0x14, 0xfd,
  0xec, 0xf2, 0xff, 0xa3, 0x0e, 0xbf, 0x50, 0x55,
  0xf0, 0xf7, 0xff, 0x0f, 0x3f, 0x7c, 0x63, 0xd9,
  0x80, 0x83, 0xab, 0x01, 0x02, 0x87, 0x04, 0x7f,
  0xd6, 0xe1, 0x97, 0x81, 0x01, 0xfe, 0xfd, 0xff,
  0xfb, 0x87, 0x6f, 0x2f, 0x27, 0x78, 0x8d, 0xf0,
  0x68, 0x1d, 0x7e, 0x19, 0x00, 0x40, 0xed, 0xd6,
  0x0e, 0xc0, 0x3b, 0x26, 0x60, 0xe8, 0x80, 0x0f,
  0x7f, 0x0e, 0xff, 0x95, 0x87, 0xcb, 0xc3, 0x3e,
  0xfe, 0x29, 0xfc, 0x6f, 0x1c, 0x2e, 0x0f, 0xfb,
  0x6a, 0x00, 0xc0, 0xe0, 0xf2, 0xef, 0xe1, 0xbf,
  0xf7, 0x70, 0x79, 0xd8, 0xcd, 0xbf, 0x85, 0xff,
  0xdf, 0xc2, 0xe5, 0x61, 0x33, 0xff, 0x16, 0xfe,
  0x7d, 0x0b, 0x97, 0x87, 0xff, 0x3d, 0x00, 0xf8,
  0xb4, 0x8d, 0x03, 0xf0, 0xf8, 0x03, 0x02, 0x1c,
  0xfa, 0xb4, 0x0e, 0xc0, 0xe0, 0xaf, 0x0d, 0xf0,
  0xff, 0x81, 0x7f, 0x00, 0xc3, 0x3f, 0x80, 0x7f,
  0x28, 0xb8, 0x1a, 0x00, 0xa0, 0xcf, 0xca, 0x01,
  0x0e, 0xfc, 0x01, 0xbd, 0xe0, 0x3f, 0xf0, 0x0f,
  0x6f, 0xf8, 0x07, 0xf0, 0x80, 0xff, 0xc0, 0x3f,
  0xbf, 0xe1, 0x1f, 0xc0, 0x00, 0xfe, 0x7f, 0x07,
  0xb7, 0x3c, 0xf8, 0xff, 0x3f, 0x0f, 0xff, 0x00,
  0x0f, 0x90, 0xfa, 0xff, 0xd1, 0x3f, 0x1c, 0x73,
  0x3f, 0xcb, 0xea, 0xff, 0x55, 0xff, 0xf0, 0xcf,
  0x06, 0x00, 0x36, 0xae, 0xfc, 0x09, 0xae, 0x23,
  0x06, 0x59, 0x87, 0x3f, 0xff, 0x07, 0x38, 0xfd,
  0xb9, 0xe8, 0x1f, 0x8e, 0xf0, 0x0f, 0xe0, 0x3f,
  0x07, 0xf0, 0x6f, 0xf8, 0x57, 0x03, 0x80, 0x1a,
  0x02, 0xff, 0x29, 0x03, 0x3f, 0xc0, 0xcf, 0xc3,
  0xff, 0xff, 0xa7, 0x9c, 0xff, 0x52, 0xd7, 0x07,
  0xff, 0xdf, 0x97, 0xfa, 0xf8, 0x7b, 0x7b, 0x1d,
  0x84, 0xab, 0x01, 0x40, 0x05, 0x6e, 0x1c, 0x80,
  0xc1, 0x1f, 0x10, 0xe0, 0xfe, 0x03, 0xff, 0x4a,
  0x87, 0x7f, 0x80, 0xcf, 0x09, 0xff, 0xff, 0x6f,
  0x1a, 0xfe, 0x01, 0xce, 0xe0, 0xff, 0xf7, 0x00,
  0xc0, 0x7f, 0xe0, 0x1f, 0xdf, 0xf0, 0x0f, 0xe0,
  0x00, 0xff, 0x81, 0x7f, 0x7f, 0xc3, 0x3f, 0x80,
  0x01, 0xfc, 0x07, 0xfe, 0xfe, 0x0d, 0xff, 0x00,
  0x00, 0xf0, 0xff, 0x7b, 0x0f, 0xe0, 0x3f, 0xf0,
  0xf0, 0x6f, 0xf8, 0x07, 0x3f, 0x80, 0xff, 0xc0,
  0xc0, 0xbf, 0xe1, 0x1f, 0xff, 0x00, 0xfe, 0x03,
  0x00, 0xff, 0x86, 0x7f, 0x3d, 0x00, 0xf8, 0xff,
  0xf8, 0x07, 0xf0, 0x1f, 0x03, 0xf8, 0x37, 0xfc,
  0xe0, 0x1f, 0xc0, 0x7f, 0x0f, 0xe0, 0xdf, 0xf0,
  0x81, 0x7f, 0x00, 0xff, 0x3f, 0x80, 0x7f, 0xc3,
  0xff, 0x1e, 0x00, 0xfc, 0x0f, 0xfc, 0x03, 0xf8,
  0xfe, 0x01, 0xfc, 0x1b, 0x3f, 0xf0, 0x0f, 0xe0,
  0xf8, 0x07, 0xf0, 0x6f, 0xff, 0xc0, 0x3f, 0x80,
  0xe1, 0x1f, 0xc0, 0xbf, 0xfe, 0x7f, 0x0f, 0x00,
  0xfe, 0x7f, 0xff, 0xad, 0x0f, 0xff, 0x5a, 0x3f,
  0xfa, 0xbf, 0xfc, 0xd7, 0x3c, 0xfc, 0x6b, 0xfd,
  0xcb, 0xff, 0xf6, 0x9f, 0xff, 0xf0, 0xcf, 0x75,
  0x00, 0xff, 0xbf, 0x07, 0x00, 0xfe, 0xbb, 0xff,
  0xfa, 0x87, 0x63, 0x2b, 0x63, 0xfd, 0xff, 0xff,
  0x7e, 0x0e, 0xfe, 0x01, 0x7f, 0xe5, 0xdf, 0xff,
  0xf8, 0x79, 0xf8, 0x07, 0x03, 0x80, 0xdc, 0x5a,
  0xff, 0x04, 0xf5, 0xff, 0x83, 0xad, 0xc3, 0x2f,
  0xfe, 0x01, 0xfc, 0x07, 0x00, 0xfe, 0x0d, 0xff,
  0xf8, 0x07, 0xf0, 0x1f, 0x03, 0xf8, 0x37, 0xfc,
  0xef, 0x01, 0xc0, 0xff, 0xff, 0x7f, 0x80, 0xef,
  0xdb, 0xcb, 0xfe, 0xe1, 0xff, 0xff, 0x09, 0xfe,
  0x5f, 0x06, 0x5a, 0x87, 0x0f, 0xfc, 0x03, 0xf8,
  0xfe, 0x01, 0xfc, 0x1b, 0xff, 0xf7, 0x00, 0xe0,
  0x83, 0xff, 0x3f, 0x40, 0xf0, 0x2d, 0x45, 0xff,
  0xfe, 0xff, 0xff, 0x2e, 0xc3, 0x2f, 0xc0, 0x95,
  0x86, 0x75, 0xe3, 0x00, 0x0f, 0xfd, 0x00, 0x3e,
  0x50, 0xf6, 0x65, 0x00, 0x20, 0x21, 0xc0, 0x9f,
  0x75, 0xf8, 0x65, 0xa0, 0x9f, 0xff, 0xce, 0xbf,
  0xee, 0x61, 0xdf, 0xc3, 0x7c, 0xfe, 0x33, 0xff,
  0xbb, 0x87, 0x7d, 0x0b, 0x00, 0xf8, 0xff, 0x3b,
  0x07, 0xf0, 0x1f, 0xf8, 0xf8, 0x37, 0xfc, 0x03,
  0x1f, 0xc0, 0x7f, 0xe0, 0xe0, 0xdf, 0xf0, 0x0f,
  0x6f, 0x00, 0xff, 0x8b, 0x17, 0xdb, 0xc1, 0xbf,
  0x1e, 0x00, 0xfc, 0xff, 0xca, 0x01, 0xa0, 0xaf,
  0x01, 0xbd, 0x0e, 0xfc, 0xfb, 0x4f, 0xe5, 0x3f,
  0xa7, 0xaa, 0x3f, 0xf8, 0xff, 0x7f, 0x00, 0xc0,
  0x9b, 0x4a, 0xf1, 0xe0, 0x5c, 0x0d, 0x00, 0x14,
  0x57, 0xeb, 0x00, 0xac, 0xfe, 0xda, 0x00, 0x0f,
  0xff, 0xff, 0x4f, 0xf0, 0xfc, 0x32, 0xd0, 0x3a,
  0x7f, 0xe0, 0x1f, 0xc0, 0xf0, 0x0f, 0xe0, 0xdf,
  0xff, 0xbf, 0x03, 0x00, 0xfe, 0xa7, 0xdf, 0x54,
  0x87, 0x7f, 0xaa, 0xfe, 0x58, 0xff, 0xff, 0x07,
  0x1f, 0xde, 0xa9, 0x90, 0x60, 0x02, 0xc0, 0x9f,
  0x75, 0xf8, 0x63, 0xd0, 0x80, 0xff, 0xdf, 0x03,
  0x25, 0xff, 0xdf, 0x7f, 0xe2, 0xc3, 0xbf, 0xd2,
  0x97, 0xfc, 0xdf, 0xff, 0xfd, 0x0f, 0xff, 0x4a,
  0x07, 0xf0, 0xbf, 0xac, 0xf9, 0x3c, 0xf4, 0x5b,
  0x01, 0xc0, 0x1c, 0xac, 0x1c, 0x00, 0x7a, 0xac,
  0xd0, 0xeb, 0xc0, 0x1f, 0xff, 0x5f, 0xfe, 0xfd,
  0xac, 0xc5, 0x83, 0x7f, 0xca, 0x01, 0xa0, 0xf7,
  0x01, 0x7c, 0x0e, 0xfa, 0xf7, 0x00, 0xa0, 0xff,
  0xf6, 0x5f, 0xcb, 0x7f, 0xaf, 0xf4, 0x7b, 0xf0,
  0xdd, 0x7f, 0x00, 0xff, 0xb1, 0x16, 0xfd, 0xc1,
  0xff, 0xff, 0x13, 0xfc, 0x7f, 0x0c, 0xb0, 0x0e,
  0x5b, 0x65, 0x00, 0x90, 0x3f, 0xf0, 0x6f, 0xe5,
  0x38, 0xb6, 0xfa, 0x7c, 0xda, 0x03, 0x7f, 0x82,
  0xe1, 0x97, 0xc1, 0xd6, 0xfe, 0x03, 0xff, 0x00,
  0x86, 0x7f, 0x00, 0xff, 0xf8, 0xff, 0x3d, 0x00,
  0xf2, 0x9f, 0xfd, 0xd7, 0x3c, 0xfc, 0x03, 0xfc,
  0xcb, 0xef, 0xff, 0xbf, 0x7f, 0xf0, 0x8f, 0xf5,
  0x29, 0xff, 0xd9, 0x7d, 0xd7, 0x83, 0xbf, 0xb7,
  0x00, 0xfc, 0xff, 0x1e, 0xfb, 0xfd, 0xcf, 0xfe,
  0x7e, 0x0e, 0xfe, 0xfd, 0x0f, 0xe0, 0x7f, 0xfb,
  0xa2, 0x3f, 0x38, 0xc6, 0x7f, 0x82, 0x01, 0x00,
  0x41, 0xd7, 0xe1, 0x8f, 0x0d, 0x00, 0x72, 0x6b,
  0xf8, 0x13, 0x0c, 0x00, 0x0c, 0xb6, 0x0e, 0xbf,
  0xfd, 0x07, 0xf0, 0xdf, 0x63, 0xd1, 0x1f, 0x1c,
  0x80, 0x3f, 0xc1, 0x00, 0xc7, 0x00, 0xeb, 0xf0,
  0xbf, 0x07, 0x00, 0xff, 0x03, 0xff, 0x00, 0xfe,
  0x7f, 0x00, 0xff, 0x86, 0x0f, 0xfc, 0x03, 0xf8,
  0xfe, 0x01, 0xfc, 0x1b, 0x3f, 0xf0, 0x0f, 0xe0,
  0xf8, 0x07, 0xf0, 0x6f, 0xff, 0xdf, 0x03, 0x80
}};

/*----------------------------------------------------------------------------------------
 *           P R O T O T Y P E S     O F     L O C A L     F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                          E X P O R T E D    F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */
