/* $NoKeywords:$ */
/**
 * @file
 *
 * AMD F16Kb Microcode patch.
 *
 * F16Kb Microcode Patch rev 07000110 for 7001 or equivalent.
 *
 * @xrefitem bom "File Content Label" "Release Content"
 * @e project:      AGESA
 * @e sub-project:  CPU/Family/0x16/KB
 * @e \$Revision: 334098 $   @e \$Date: 2018-02-09 14:21:15 -0400 (Fri, 09 Feb 2018) $
 */
/*****************************************************************************
 *
 * Copyright (c) 2008 - 2018, Advanced Micro Devices, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Advanced Micro Devices, Inc. nor the names of
 *       its contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL ADVANCED MICRO DEVICES, INC. BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ******************************************************************************
 */



/*----------------------------------------------------------------------------------------
 *                             M O D U L E S    U S E D
 *----------------------------------------------------------------------------------------
 */
#include "AGESA.h"
#include "Ids.h"
#include "cpuRegisters.h"
#include "cpuEarlyInit.h"
CODE_GROUP (G3_DXE)
RDATA_GROUP (G3_DXE)

/*----------------------------------------------------------------------------------------
 *                   D E F I N I T I O N S    A N D    M A C R O S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                  T Y P E D E F S     A N D     S T R U C T U R E S
 *----------------------------------------------------------------------------------------
 */


// Encrypt Patch code 07000110 for 7001 and equivalent

CONST UINT8 ROMDATA CpuF16KbId7001MicrocodePatch [IDS_PAD_4K] =
{
  0x18, 0x20, 0x09, 0x02, 0x10, 0x01, 0x00, 0x07,
  0x03, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x01, 0x70, 0x00, 0x00, 0x00, 0xaa, 0xaa, 0xaa,
  0x8d, 0xf8, 0xbc, 0xa3, 0x4b, 0xbd, 0x3d, 0x48,
  0xdf, 0x1a, 0xc9, 0xae, 0x9f, 0x15, 0xac, 0x70,
  0xbb, 0xa6, 0x17, 0x65, 0xed, 0x9c, 0xd1, 0xba,
  0x03, 0x77, 0x30, 0x74, 0x56, 0x31, 0x78, 0x9c,
  0xcd, 0xe5, 0x2c, 0xac, 0x05, 0xc5, 0xa4, 0x7e,
  0x03, 0x17, 0x55, 0xc2, 0x19, 0x65, 0x4d, 0x55,
  0x30, 0xde, 0xad, 0x51, 0x79, 0x99, 0xd5, 0x29,
  0xbf, 0x74, 0x24, 0xc6, 0xbb, 0x98, 0xd2, 0x1d,
  0x15, 0x37, 0xd1, 0x5b, 0xb7, 0xef, 0x76, 0xba,
  0x8a, 0xff, 0xa8, 0x01, 0x38, 0xe6, 0x6a, 0x4c,
  0x6e, 0x78, 0x36, 0x21, 0x60, 0xa4, 0xca, 0x6d,
  0xeb, 0xaf, 0xfe, 0x13, 0x3b, 0x20, 0x2b, 0x96,
  0x9d, 0x79, 0xde, 0x59, 0xf0, 0xa1, 0x24, 0x8b,
  0xb1, 0x2f, 0x9d, 0x38, 0x55, 0xfb, 0x0d, 0x2d,
  0x6a, 0xec, 0xf8, 0xcc, 0xf9, 0x1a, 0xda, 0xb9,
  0xe1, 0xca, 0x33, 0x28, 0xcd, 0x2a, 0x4f, 0x54,
  0x95, 0x4f, 0x94, 0x23, 0x2f, 0xc1, 0x5e, 0xbd,
  0xf0, 0xd3, 0xfb, 0x0f, 0x82, 0xf2, 0x00, 0xa3,
  0xe8, 0x60, 0xf1, 0x84, 0x05, 0x2c, 0xc3, 0xdd,
  0x70, 0xa1, 0xbc, 0x74, 0xbb, 0xf6, 0xde, 0x06,
  0x20, 0xd3, 0x56, 0x26, 0x67, 0x39, 0x8a, 0xee,
  0xdf, 0xc8, 0x6b, 0xc9, 0xf5, 0x3b, 0x28, 0x23,
  0x85, 0x10, 0xd7, 0x49, 0x0a, 0x58, 0x6f, 0xca,
  0x94, 0x88, 0xb3, 0xd0, 0x34, 0x24, 0x47, 0x78,
  0xce, 0x4c, 0xc3, 0xf1, 0xc2, 0x15, 0x24, 0x25,
  0xe7, 0xff, 0x9a, 0x66, 0x21, 0xad, 0x91, 0x25,
  0x8b, 0xc6, 0x68, 0xac, 0x3c, 0x68, 0xb3, 0xc5,
  0x45, 0xa0, 0x97, 0xb4, 0x9b, 0xdc, 0x73, 0xec,
  0x29, 0x67, 0x73, 0x38, 0x80, 0x85, 0x03, 0xd1,
  0x4a, 0xe3, 0x48, 0x93, 0x9d, 0x3c, 0x11, 0xac,
  0xc0, 0x35, 0xfa, 0xac, 0x1d, 0x68, 0x86, 0xee,
  0xab, 0x70, 0xa8, 0xe7, 0xb3, 0x87, 0xcb, 0x9f,
  0x5b, 0x2a, 0x58, 0x44, 0x53, 0xdf, 0x59, 0xbc,
  0x14, 0xe3, 0x7f, 0xd6, 0x4a, 0xd6, 0x98, 0x59,
  0x8c, 0xbb, 0xce, 0xe6, 0x86, 0xdb, 0x66, 0xbd,
  0xeb, 0x51, 0xf1, 0xce, 0x80, 0x0f, 0xd9, 0x83,
  0x86, 0x17, 0xed, 0x78, 0x3e, 0x5d, 0xac, 0xd1,
  0x13, 0xfa, 0x01, 0x58, 0x35, 0xe9, 0x66, 0x16,
  0x5d, 0xa8, 0x70, 0x08, 0x0e, 0xa3, 0xab, 0x3b,
  0xd1, 0x75, 0xbf, 0x2f, 0xb2, 0x9a, 0x7c, 0xd8,
  0x84, 0x66, 0x1a, 0x07, 0x00, 0xe0, 0x04, 0xbf,
  0x0e, 0x04, 0xaa, 0x0e, 0x91, 0x6f, 0xb4, 0xb8,
  0xff, 0xfa, 0xad, 0xb0, 0xd8, 0x41, 0x65, 0xf5,
  0xd5, 0x0d, 0x12, 0x15, 0xbf, 0x40, 0x5b, 0xed,
  0xeb, 0x81, 0x2a, 0x1f, 0x48, 0x00, 0x5b, 0xf7,
  0x08, 0x35, 0x86, 0x8d, 0xe4, 0x15, 0x52, 0x40,
  0x1b, 0x88, 0x5a, 0x8f, 0xd0, 0x4f, 0xb5, 0xbc,
  0xdb, 0x45, 0x30, 0xc5, 0x89, 0x32, 0x98, 0xf9,
  0xa7, 0x18, 0x27, 0xf1, 0x0b, 0xc7, 0x6d, 0xeb,
  0x7f, 0x39, 0xd2, 0x25, 0x99, 0x6d, 0x3a, 0x1b,
  0x24, 0xa4, 0xc5, 0x7c, 0xdf, 0x33, 0x3d, 0x7c,
  0x43, 0x40, 0x5b, 0x8d, 0xd1, 0xec, 0x0c, 0xca,
  0x76, 0xd9, 0x1a, 0x32, 0xee, 0x45, 0xee, 0xb6,
  0x30, 0x21, 0xf8, 0x66, 0xb5, 0xbf, 0xfb, 0x66,
  0x13, 0x9c, 0xf0, 0xcf, 0xae, 0xca, 0x54, 0xbc,
  0xf1, 0xce, 0x76, 0x57, 0x8d, 0xf5, 0xee, 0x02,
  0x14, 0xc0, 0x62, 0x3f, 0xa1, 0xad, 0x9d, 0xbb,
  0x83, 0x3d, 0x8f, 0xf2, 0xe9, 0x41, 0x42, 0xca,
  0x04, 0xf9, 0xf7, 0x4f, 0xf7, 0xc6, 0x77, 0xf0,
  0x0e, 0x8c, 0xea, 0xb6, 0x6c, 0x47, 0xae, 0xd1,
  0x1b, 0x2c, 0x89, 0xbf, 0x4b, 0x61, 0xdc, 0x2d,
  0x06, 0x6d, 0x79, 0x5c, 0x5e, 0x82, 0xc0, 0x4f,
  0x54, 0x5d, 0x68, 0x55, 0x5b, 0x1c, 0x75, 0xb6,
  0xcc, 0x4b, 0xb6, 0x3e, 0x2b, 0xec, 0x30, 0xa7,
  0x62, 0xc1, 0xdd, 0xd4, 0x52, 0xd8, 0x81, 0xe9,
  0xbb, 0xd6, 0x60, 0xc8, 0x51, 0xdb, 0x56, 0xa1,
  0x90, 0x42, 0xbe, 0xd3, 0xe3, 0xb5, 0x38, 0x38,
  0xad, 0x41, 0x34, 0x2f, 0xf5, 0xdc, 0x13, 0x97,
  0x88, 0x24, 0xa2, 0x81, 0xc0, 0x4a, 0x65, 0x51,
  0x36, 0x52, 0x81, 0x96, 0x13, 0x55, 0x7a, 0x07,
  0x8d, 0x6a, 0xb5, 0xcb, 0xf1, 0x93, 0xf1, 0x2f,
  0x7a, 0x00, 0x3c, 0xa9, 0xc4, 0xfb, 0x77, 0xf9,
  0x01, 0x00, 0x00, 0x00, 0x10, 0x01, 0x00, 0x07,
  0xe2, 0x13, 0xe7, 0x13, 0x93, 0x07, 0x66, 0x04,
  0x60, 0x04, 0xd7, 0x19, 0x04, 0x07, 0xda, 0x09,
  0x4f, 0x15, 0x20, 0x07, 0xe3, 0x16, 0xd6, 0x06,
  0x27, 0x0d, 0x56, 0x06, 0xf4, 0x10, 0x34, 0x1a,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x6f, 0xd7, 0x3a, 0x00, 0xc0, 0x9f, 0xdb, 0xeb,
  0xff, 0x57, 0x7f, 0x29, 0xa0, 0x9f, 0xc9, 0xe7,
  0x52, 0xa0, 0x06, 0x00, 0x67, 0xd9, 0x3a, 0x00,
  0xc0, 0x9f, 0xdb, 0xeb, 0xc0, 0xff, 0xff, 0x28,
  0xe0, 0x1f, 0xe0, 0xac, 0xff, 0xbf, 0x07, 0x00,
  0x67, 0xd9, 0x3a, 0x00, 0xa0, 0x9f, 0xcb, 0xe7,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0x17, 0xac, 0x06, 0x00, 0x9d, 0xf1, 0xef, 0x2b,
  0xe1, 0x1f, 0xe0, 0xe7, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0x16, 0xac, 0x06, 0x00,
  0xf9, 0xff, 0xff, 0x2d, 0xe1, 0x9f, 0xaf, 0xfe,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0x6b, 0xb8, 0x06, 0x00, 0xf5, 0xff, 0xff, 0x28,
  0xe1, 0x9f, 0xaf, 0xfe, 0x90, 0xff, 0xff, 0x29,
  0xe1, 0x1f, 0xe0, 0xe7, 0xff, 0xbf, 0x07, 0x00,
  0xdf, 0xff, 0xff, 0x2e, 0xe0, 0x1f, 0xab, 0xfa,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x9d, 0x4b, 0xe1,
  0x50, 0xa0, 0x06, 0x00, 0xd6, 0xff, 0xff, 0x00,
  0xe1, 0xcf, 0x43, 0xd7, 0x70, 0x5c, 0x39, 0x00,
  0xc0, 0x1f, 0xd0, 0xeb, 0xff, 0xbf, 0x07, 0x00,
  0xa3, 0xdb, 0x38, 0x00, 0xc1, 0xdf, 0xd9, 0xeb,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xd7, 0xb8, 0x06, 0x00, 0x00, 0xff, 0xff, 0x3c,
  0xe1, 0x5f, 0xeb, 0xfe, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0xdd, 0x7f, 0x2c, 0xe0, 0x0f, 0x6b, 0xff,
  0x4b, 0xd8, 0x38, 0x00, 0xa0, 0x1f, 0xc0, 0xe7,
  0x91, 0xbb, 0x06, 0x00, 0x2b, 0xce, 0x38, 0x00,
  0xc0, 0x1f, 0xd0, 0xeb, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0x90, 0xbb, 0x06, 0x00,
  0xff, 0x81, 0x7f, 0x29, 0xe1, 0x4f, 0x2a, 0xca,
  0xff, 0x81, 0x7f, 0x2d, 0xe1, 0x4f, 0x2b, 0xca,
  0xfa, 0xb8, 0x06, 0x00, 0xfb, 0xff, 0xff, 0x2d,
  0xe1, 0xdf, 0xab, 0xfe, 0x23, 0xd3, 0x38, 0x00,
  0xc1, 0x1d, 0x00, 0xf9, 0x19, 0xa1, 0x06, 0x00,
  0x78, 0xff, 0xff, 0x29, 0xe1, 0x1f, 0xe0, 0xe7,
  0xfb, 0xff, 0xff, 0x2b, 0xe1, 0x1f, 0xe0, 0xe7,
  0xe6, 0x5c, 0x02, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0x19, 0x19, 0xfe, 0x00, 0xe1, 0xcf, 0x03, 0xd7,
  0xfd, 0xef, 0xff, 0x00, 0xe1, 0x98, 0x8b, 0xfe,
  0x4d, 0xa0, 0x06, 0x00, 0x6f, 0xfa, 0xff, 0x2d,
  0xe1, 0x1f, 0xe0, 0xe7, 0x19, 0x19, 0xfe, 0x00,
  0xe1, 0xd7, 0xc3, 0xd6, 0xff, 0xbf, 0x07, 0x00,
  0xad, 0xff, 0xff, 0x00, 0xe1, 0xd7, 0xc3, 0xd6,
  0xf2, 0xff, 0xff, 0x00, 0xe1, 0x1b, 0x8b, 0xfe,
  0x18, 0xa0, 0x06, 0x00, 0x62, 0x18, 0xfe, 0x00,
  0xe1, 0xd7, 0xc3, 0xd6, 0xfe, 0xff, 0xff, 0x2f,
  0xe1, 0x1f, 0xeb, 0xfb, 0xff, 0xbf, 0x07, 0x00,
  0xef, 0x5f, 0x3f, 0x00, 0xa0, 0x9f, 0xc9, 0xe7,
  0x67, 0xfa, 0xff, 0x2f, 0xe1, 0x1f, 0xe0, 0xe7,
  0x4a, 0xa0, 0x06, 0x00, 0xff, 0xcd, 0x78, 0x00,
  0xa0, 0xdf, 0xcb, 0xe7, 0xff, 0xcd, 0x7f, 0x2a,
  0xe0, 0x1f, 0xe0, 0xe7, 0xff, 0xbf, 0x07, 0x00,
  0xfc, 0xff, 0xff, 0x2f, 0xe1, 0x1f, 0xe0, 0xe7,
  0xff, 0x81, 0x7f, 0x27, 0xe1, 0x1f, 0xe0, 0xe7,
  0x3a, 0x20, 0x06, 0x00, 0xf4, 0x5c, 0x39, 0x00,
  0xc0, 0x1f, 0xd0, 0xeb, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0x26, 0x40, 0x06, 0x00,
  0xfc, 0xff, 0xff, 0x2f, 0xe1, 0x1f, 0xe0, 0xe7,
  0xff, 0x81, 0x7f, 0x27, 0xe1, 0x1f, 0xe0, 0xe7,
  0x3a, 0x20, 0x06, 0x00, 0xf4, 0x52, 0x39, 0x00,
  0xc0, 0x1f, 0xd0, 0xeb, 0xff, 0xfe, 0xff, 0x2f,
  0xe1, 0x5f, 0x6a, 0xf1, 0x21, 0x40, 0x06, 0x00,
  0x1f, 0xff, 0xff, 0x2e, 0xe1, 0x1f, 0xe0, 0xe7,
  0xf5, 0x5f, 0x3f, 0xae, 0xc1, 0x5f, 0xda, 0xeb,
  0x1d, 0xa0, 0x06, 0x00, 0x00, 0xff, 0xff, 0x80,
  0xe1, 0xdb, 0x8b, 0xfe, 0xa4, 0x0e, 0xfe, 0x00,
  0xe1, 0xd7, 0x83, 0xd6, 0xff, 0xbf, 0x07, 0x00,
  0x9b, 0x80, 0x38, 0x00, 0x81, 0x1b, 0x80, 0xff,
  0xc8, 0x11, 0xfe, 0x00, 0xe1, 0xd7, 0xc3, 0xd6,
  0x93, 0x5f, 0x06, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0x47, 0xff, 0xff, 0x2d, 0xe1, 0x1f, 0xe0, 0xe7,
  0x2c, 0x19, 0xfe, 0x00, 0xe1, 0xd7, 0xc3, 0xd6,
  0x03, 0x24, 0x06, 0x00, 0xb6, 0xff, 0xff, 0x00,
  0xe1, 0x98, 0x8f, 0xfe, 0xb7, 0xff, 0xff, 0x00,
  0xe1, 0xd7, 0xc3, 0xd6, 0xca, 0x45, 0x06, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0x76, 0x5e, 0x39, 0x00, 0xc0, 0x1f, 0xd0, 0xeb,
  0xf5, 0xff, 0xff, 0x2e, 0xe1, 0x1f, 0xe0, 0xac,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0xdd, 0x7f, 0x2f,
  0xe0, 0xdf, 0xab, 0xff, 0x76, 0x5e, 0x39, 0x00,
  0xa0, 0x1f, 0xc0, 0xe7, 0xff, 0xbf, 0x07, 0x00,
  0x30, 0x5e, 0x39, 0x00, 0xc0, 0x1f, 0xd0, 0xeb,
  0xdf, 0xff, 0xff, 0x2f, 0xe0, 0xdf, 0xab, 0xfa,
  0xff, 0xbf, 0x07, 0x00, 0xee, 0xff, 0xff, 0x00,
  0xe1, 0xdd, 0x0b, 0xf9, 0xf7, 0xff, 0xff, 0x2f,
  0xe1, 0x0f, 0x20, 0xcb, 0x93, 0xbf, 0x06, 0x00,
  0x6f, 0xfa, 0xff, 0x2e, 0xe1, 0x1f, 0xe0, 0xe7,
  0xff, 0xdf, 0x78, 0x00, 0xa1, 0x9f, 0xcb, 0xe7,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0xd1, 0x7f, 0x28,
  0xe0, 0x1f, 0x6b, 0xf1, 0x67, 0xd1, 0x3a, 0x00,
  0xa0, 0x9f, 0xcb, 0xe7, 0x33, 0xa1, 0x06, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0x32, 0xa1, 0x06, 0x00, 0xf8, 0xff, 0xff, 0x00,
  0xe1, 0x9d, 0x0b, 0xf9, 0xfe, 0xff, 0xff, 0x00,
  0xe1, 0xcf, 0x43, 0xd7, 0xff, 0xbf, 0x07, 0x00,
  0x2b, 0xce, 0x38, 0x00, 0xa0, 0x1f, 0xc0, 0xe7,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0x94, 0x5b, 0x02, 0x00, 0x57, 0xdc, 0x38, 0x00,
  0xc0, 0xdf, 0xdb, 0xeb, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0x98, 0x5b, 0x06, 0x00,
  0xfe, 0xef, 0xff, 0x00, 0xe1, 0x98, 0x8b, 0xfe,
  0x47, 0xff, 0xff, 0x2d, 0xe1, 0x1f, 0xe0, 0xe7,
  0x2b, 0xb2, 0x06, 0x00, 0x41, 0x19, 0xfe, 0x00,
  0xe1, 0xd7, 0xc3, 0xd6, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0xff, 0x7f, 0x3f, 0xe1, 0x17, 0xe0, 0xca,
  0xff, 0xf9, 0x7f, 0x3c, 0xe1, 0x17, 0xe0, 0xca,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7a, 0x2c,
  0xa0, 0x9f, 0xcb, 0xe7, 0xf7, 0xdf, 0x3a, 0x2c,
  0xc0, 0x9f, 0xdb, 0xeb, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0xff, 0xff, 0x00, 0xe1, 0xdd, 0x0b, 0xf9,
  0xfe, 0xff, 0xff, 0x2d, 0xe1, 0x4b, 0x6b, 0xcb,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x5b, 0x7f, 0x00,
  0xa0, 0x9f, 0xc9, 0xe7, 0xe7, 0xff, 0xff, 0x26,
  0xe0, 0x9f, 0xe9, 0xff, 0xff, 0xbf, 0x07, 0x00,
  0xf4, 0xff, 0xff, 0x00, 0xe1, 0xd7, 0xc3, 0xd6,
  0x77, 0x5e, 0x3f, 0x00, 0xa0, 0x9f, 0xc9, 0xe7,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0xff, 0xbf, 0x2d,
  0xe0, 0x1f, 0xe0, 0xe7, 0x0f, 0xff, 0xfe, 0xff,
  0xff, 0xff, 0xcf, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0xdb, 0x7f, 0x2d, 0xe0, 0xdf, 0x6b, 0xf1,
  0xcc, 0xff, 0xff, 0x2b, 0xe0, 0x1f, 0xe0, 0xac,
  0xff, 0xbf, 0x07, 0x00, 0xe0, 0xff, 0xff, 0x28,
  0xe1, 0x1f, 0xe0, 0xac, 0xff, 0xd7, 0x7f, 0x2d,
  0xe0, 0x5f, 0xab, 0xff, 0xff, 0xbf, 0x07, 0x00,
  0xf7, 0xdb, 0x3a, 0x2c, 0xa0, 0x9f, 0xcb, 0xe7,
  0xff, 0xd1, 0x7a, 0x2c, 0xa0, 0x9f, 0xcb, 0xe7,
  0xff, 0xbf, 0x07, 0x00, 0x00, 0x00, 0xfe, 0x2b,
  0xe0, 0x1f, 0xe0, 0xe7, 0x00, 0x00, 0xfe, 0x2d,
  0xe0, 0x1f, 0xe0, 0xe7, 0x45, 0x9d, 0x06, 0x00,
  0x00, 0x00, 0xbf, 0x2a, 0xe0, 0x1f, 0xe0, 0xe7,
  0x00, 0x80, 0xff, 0x7f, 0x80, 0x3e, 0xce, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x9f, 0xbf, 0x2a,
  0xe0, 0x1f, 0xe0, 0xe7, 0xff, 0x5d, 0xff, 0xff,
  0xff, 0xff, 0xcf, 0xbf, 0x45, 0x3d, 0x06, 0x00,
  0xb0, 0xff, 0xff, 0x2b, 0xe0, 0x1f, 0xe0, 0xe7,
  0xc0, 0xff, 0xff, 0x2a, 0xe0, 0x1f, 0xe0, 0xac,
  0x45, 0x3d, 0x06, 0x00, 0x67, 0xfa, 0xff, 0x2f,
  0xe1, 0x1f, 0xe0, 0xe7, 0xff, 0xd5, 0x78, 0x00,
  0xc0, 0xdf, 0xdb, 0xeb, 0xff, 0xbf, 0x07, 0x00,
  0x5f, 0x5e, 0x3f, 0x00, 0xc0, 0x9f, 0xda, 0xeb,
  0xdf, 0xfb, 0xff, 0x2c, 0xe1, 0x1f, 0xe0, 0xe7,
  0xff, 0xbf, 0x07, 0x00, 0xf7, 0xdf, 0x3a, 0x2c,
  0xa0, 0x9f, 0xcb, 0xe7, 0xff, 0xd1, 0x7a, 0x2c,
  0xa0, 0x9f, 0xcb, 0xe7, 0xff, 0xbf, 0x07, 0x00,
  0xf7, 0x5f, 0x3f, 0x00, 0xc0, 0x9f, 0xda, 0xeb,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0x43, 0x5a, 0x06, 0x00, 0xcf, 0x53, 0x39, 0x00,
  0xc0, 0xdf, 0xdb, 0xeb, 0xfe, 0xff, 0xff, 0x27,
  0xe1, 0xdf, 0xe9, 0xfa, 0xff, 0xbf, 0x07, 0x00,
  0x89, 0xff, 0xff, 0xc0, 0xe1, 0x5b, 0x8a, 0xfe,
  0xf2, 0xff, 0xff, 0x00, 0xe1, 0xd7, 0x83, 0xd6,
  0xff, 0xbf, 0x07, 0x00, 0xe9, 0xff, 0xff, 0x00,
  0xe1, 0x5d, 0x0a, 0xf9, 0xf3, 0xff, 0xff, 0x00,
  0xe1, 0xcf, 0x03, 0xd7, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0xff, 0xbf, 0x29, 0xe0, 0x5f, 0x6a, 0xf1,
  0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xcf, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xfe, 0xff, 0xff, 0x27,
  0xe1, 0xdf, 0xa9, 0xff, 0xcb, 0x5b, 0x39, 0x00,
  0xc0, 0xdf, 0xdb, 0xeb, 0xff, 0xbf, 0x07, 0x00,
  0xcf, 0x53, 0x39, 0x00, 0xa0, 0xdf, 0xcb, 0xe7,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x03, 0x00, 0xcb, 0x59, 0x39, 0x00,
  0xc0, 0xdf, 0xdb, 0xeb, 0xff, 0xdb, 0x7f, 0x00,
  0xe0, 0x1d, 0x8b, 0xfe, 0xff, 0xbf, 0x03, 0x00,
  0xf8, 0xff, 0xff, 0x00, 0xe1, 0xcf, 0x03, 0xd7,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1b, 0x8b, 0xfe,
  0xff, 0xbf, 0x07, 0x00, 0xf9, 0xff, 0xff, 0x00,
  0xe1, 0xd7, 0x83, 0xd6, 0xdf, 0xff, 0xff, 0x2d,
  0xe0, 0x5f, 0xab, 0xfa, 0xff, 0xbf, 0x07, 0x00,
  0xdf, 0xff, 0xff, 0x2c, 0xe0, 0x1f, 0xab, 0xfa,
  0xff, 0xd9, 0x7f, 0x00, 0xe1, 0x5b, 0x8b, 0xfe,
  0xff, 0xbf, 0x07, 0x00, 0xfb, 0xff, 0xff, 0x00,
  0xe1, 0xd7, 0x83, 0xd6, 0xfe, 0xff, 0xff, 0xac,
  0xe1, 0x1b, 0xeb, 0xff, 0xff, 0xbf, 0x07, 0x00,
  0xdf, 0xff, 0xff, 0x2c, 0xe0, 0x1f, 0xeb, 0xfa,
  0x00, 0x00, 0xfe, 0x2c, 0xe0, 0x17, 0xeb, 0xca,
  0xff, 0xbf, 0x07, 0x00, 0xcb, 0x59, 0x39, 0x00,
  0xa0, 0xdf, 0xcb, 0xe7, 0xfd, 0xff, 0xff, 0x00,
  0xe1, 0xd7, 0x83, 0xd6, 0xff, 0xbf, 0x07, 0x00,
  0xe9, 0xff, 0xff, 0x2d, 0xe1, 0x1f, 0xe0, 0xac,
  0xff, 0xdb, 0x7f, 0x29, 0xe0, 0x5f, 0xaa, 0xff,
  0x35, 0xa0, 0x06, 0x00, 0xcf, 0x53, 0x39, 0x00,
  0xa0, 0xdf, 0xcb, 0xe7, 0xff, 0xdb, 0x7f, 0x29,
  0xe0, 0x5f, 0x6a, 0xf1, 0x2b, 0xa0, 0x06, 0x00,
  0xfe, 0xff, 0xff, 0x2f, 0xe1, 0xdd, 0xab, 0xfe,
  0x7e, 0x11, 0xfe, 0x00, 0xe1, 0xcf, 0x43, 0xd7,
  0x3a, 0x40, 0x06, 0x00, 0xfe, 0xff, 0xff, 0x27,
  0xe1, 0xdd, 0xe9, 0xfa, 0xcf, 0x59, 0x39, 0x00,
  0xc0, 0xdf, 0xdb, 0xeb, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0xff, 0xbf, 0x2c, 0xe0, 0x0f, 0x6b, 0xdf,
  0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xcf, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xcf, 0x59, 0x39, 0x00,
  0xa0, 0xdf, 0xcb, 0xe7, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0x2a, 0xa0, 0x06, 0x00,
  0xfe, 0xff, 0xff, 0x2f, 0xe1, 0xdd, 0xab, 0xfe,
  0x82, 0x11, 0xfe, 0x00, 0xe1, 0xcf, 0x43, 0xd7,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0xfe, 0xff, 0x2f,
  0xe1, 0x9f, 0x6b, 0xf1, 0xf4, 0x5e, 0x39, 0x00,
  0xa0, 0x1f, 0xc0, 0xe7, 0xfd, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0x9b,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x03, 0x00, 0xf4, 0x5c, 0x39, 0x00,
  0xa0, 0x1f, 0xc0, 0xe7, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xfd, 0xbf, 0x07, 0x00,
  0xfc, 0xff, 0xff, 0x2f, 0xe1, 0x1f, 0xe0, 0xe7,
  0xe3, 0xff, 0xff, 0x27, 0xe1, 0xdf, 0xe9, 0xfa,
  0x2a, 0x20, 0x06, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xc5, 0x43, 0x06, 0x00,
  0xf4, 0x5e, 0x39, 0x00, 0xa0, 0x1f, 0xc0, 0xe7,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0x9b,
  0xff, 0xbf, 0x03, 0x00, 0xf4, 0x52, 0x39, 0x00,
  0xa0, 0x1f, 0xc0, 0xe7, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xfd, 0xbf, 0x07, 0x00,
  0xfc, 0xff, 0xff, 0x2f, 0xe1, 0x1f, 0xe0, 0xe7,
  0xe3, 0xff, 0xff, 0x27, 0xe1, 0xdf, 0xe9, 0xfa,
  0x2a, 0x20, 0x06, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xd5, 0x52, 0x06, 0x00,
  0xfd, 0x5f, 0x3f, 0x2e, 0xc0, 0x5f, 0xda, 0xeb,
  0xfe, 0xff, 0xff, 0x00, 0xe0, 0xdb, 0xcb, 0xff,
  0xff, 0xbf, 0x07, 0x00, 0xec, 0x0e, 0xfe, 0x00,
  0xe1, 0xd7, 0x83, 0xd6, 0xf7, 0xff, 0xff, 0x2e,
  0xe1, 0x9d, 0xab, 0xfe, 0x1d, 0xa0, 0x06, 0x00,
  0x13, 0xff, 0xff, 0x2a, 0xe1, 0x1f, 0xe0, 0xe7,
  0x05, 0x0f, 0xfe, 0x00, 0xe1, 0xcf, 0x43, 0xd7,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x5b, 0x8b, 0xfe, 0x6f, 0xfa, 0xff, 0x2e,
  0xe1, 0x1f, 0xe0, 0xe7, 0x4b, 0xa0, 0x06, 0x00,
  0xff, 0xf9, 0x78, 0x00, 0xc1, 0x9f, 0xdb, 0xeb,
  0xfd, 0xff, 0x38, 0x00, 0xc1, 0x9f, 0xdb, 0xeb,
  0xd7, 0xb8, 0x06, 0x00, 0xee, 0xff, 0xff, 0x00,
  0xe1, 0xda, 0x8b, 0xfe, 0xff, 0xef, 0xff, 0x3c,
  0xe1, 0x17, 0xe0, 0xca, 0xc8, 0x58, 0x06, 0x00,
  0x9b, 0x80, 0x38, 0x00, 0xc1, 0x1d, 0xc0, 0xf3,
  0xff, 0x81, 0x7f, 0x00, 0xe0, 0x0c, 0x0b, 0xf9,
  0xff, 0xbf, 0x07, 0x00, 0x15, 0x12, 0xfe, 0x00,
  0xe1, 0xd7, 0x83, 0xd6, 0xff, 0xff, 0xff, 0x00,
  0xe1, 0xcf, 0x43, 0xd7, 0x93, 0x5f, 0x06, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xc3, 0x21, 0x06, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0x9b, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xfd, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0x93, 0x5f, 0x06, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0x81, 0x7f, 0x00, 0xe1, 0x1f, 0xc0, 0xbf,
  0xff, 0xbf, 0x07, 0x00, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0x81, 0x7f, 0x00,
  0xe1, 0x1f, 0xc0, 0xbf, 0xff, 0xbf, 0x07, 0x00,
  0x18, 0xa0, 0xba, 0x3a, 0x3f, 0x95, 0x1c, 0x69,
  0x42, 0xac, 0xed, 0xda, 0x47, 0xb4, 0xfd, 0xc8,
  0x19, 0xf5, 0x85, 0x69, 0x6a, 0x82, 0x3b, 0xce,
  0x6e, 0x7d, 0x01, 0x4e, 0x1e, 0x5b, 0x92, 0x6c,
  0xed, 0x73, 0x65, 0xe1, 0xdf, 0xfb, 0x8e, 0x8b,
  0x5d, 0x35, 0x65, 0x6f, 0xe8, 0x1a, 0xdf, 0xc7,
  0xeb, 0xd3, 0xd6, 0x0c, 0xee, 0xfe, 0x34, 0x1f,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  0x00, 0x00
};

/*----------------------------------------------------------------------------------------
 *           P R O T O T Y P E S     O F     L O C A L     F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */

/*----------------------------------------------------------------------------------------
 *                          E X P O R T E D    F U N C T I O N S
 *----------------------------------------------------------------------------------------
 */
